Subject: [Fot] 2016 Group 44 Inc. Trophy was awarded to...

From: Yellow04 <[email-masked]>
Date: Tue, 21 Jun 2016 08:32:36 -0400

The Group 44 Inc. Trophy is awarded at the VARAC event held at the track formerly known as Mosport (currently it's Canadian Tire Motorsports Park) to the Triumph driver that best meets the criteria set forth by Bob Tullius a couple years back. Problem is, we are all getting old and nobody really remembers for sure what that criteria was, so it was decided that the previous year's winner would develop their own criteria and pick this year's winner.

My apologies to Mr. Tullius, but I am confident Bob would be quite happy with my choice.

The obvious choice to me was our most junior Triumph driver at the event, Jeff Govert. Jeff in his Spitfire overcame obstacles all weekend, never missed a lap of track time, and showed us what Triumph drivers are all about. His weekend started out with a diff swap, then the starter motor went south. A field strip revealed a failed solder joint, but the problems ran deeper than that as a session or two later the starter motor was out again. The earlier repair was fine but in the end the starter was declared terminal. Jeff was resigned to push starting the car and getting gridded at just the right time so the car would not overheat while waiting to go. Then there was the brakes, but I think I made my point!

Jeff showed everybody he is made of the right stuff, and deserves to be the recipient of the 2016 Group 44 Inc. Trophy. Congrats Jeff!!!

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive